Subject: Re: [Ltru] draft-ietf-ltru-4646bis-18 ABNF flaw

From: Addison Phillips <[email-masked]>
Date: Tue, 2 Dec 2008 22:10:29 -0700

Dear Herr Hoenes,

Thank you for your comment. I'm sorry not to have responded earlier: I've been 
away for the (local the to USA) holiday. The comments in draft-18 (indeed, for 
the whole series of drafts) have been flawed in this way. I have corrected 
them for draft-19. Thanks for pointing out the error.

Best regards,

Addison

On Wednesday 19 November 2008 07:55:05 you wrote:
> Hello,
> starting to study the latest version of the 4646bis draft
> edited by you, draft-ietf-ltru-4646bis-18, I found a striking
> and confusing flaw in the ABNF comments in section 2.1.
>
> (Note:
>  This seems so important that I immediately send this message.
>  I'll send more comments should I stumble over more flaws.)
>
>
> The draft says in Section 2.1:
>                                        v   v
>
> |singleton     = %x41-57             ; a - w
> |              / %x59-5A             ; y - z
> |              / %x61-77             ; A - W
> |              / %x79-7A             ; Y - Z
>
>                / DIGIT               ; 0 - 9
>
> However, the uppercase characters are in the lower part of
> the ASCII code, and the lowercase characters in the uper part.
> Therefore, the draft should say, swapping lowercase and
> uppercase characters in the ABFN comment:
>
>                                        v   v
>
> |singleton     = %x41-57             ; A - W
> |              / %x59-5A             ; Y - Z
> |              / %x61-77             ; a - w
> |              / %x79-7A             ; y - z
>
>                / DIGIT               ; 0 - 9
>
> Furthermore, it might be considered useful to list the
> <DIGIT> alternative *first*, such that the possible
>
> values of <singleton> get listed in ascending order:
> |singleton     = DIGIT               ; 0 - 9
> |              / %x41-57             ; A - W
> |              / %x59-5A             ; Y - Z
> |              / %x61-77             ; a - w
> |              / %x79-7A             ; y - z
>
> Kind regards,
>   Alfred Hönes.

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru